# _CubeInfo Struct Reference

## Data Fields

NodeInfo * | root
long | x
long | progress
unsigned long | colors
unsigned long | free_nodes
NodeInfo * | node_info
Nodes * | node_queue
NodeInfo * | root
unsigned long | maximum_colors
long | transparent_index
MagickSizeType | transparent_pixels
RealPixelPacket | target
MagickRealType | distance
MagickRealType | pruning_threshold
MagickRealType | next_threshold
unsigned long | nodes
unsigned long | color_number
NodeInfo * | next_node
Nodes * | node_queue
long * | cache
MagickPixelPacket | error [ErrorQueueLength]
MagickRealType | weights [ErrorQueueLength]
QuantizeInfo * | quantize_info
long | y
unsigned long | depth
MagickOffsetType | offset
MagickSizeType | span

## Field Documentation

NodeInfo* _CubeInfo::root

long _CubeInfo::x

long _CubeInfo::progress

unsigned long _CubeInfo::colors

unsigned long _CubeInfo::free_nodes

NodeInfo* _CubeInfo::node_info

Nodes* _CubeInfo::node_queue

NodeInfo* _CubeInfo::root

unsigned long _CubeInfo::maximum_colors

long _CubeInfo::transparent_index

MagickSizeType _CubeInfo::transparent_pixels

RealPixelPacket _CubeInfo::target

MagickRealType _CubeInfo::distance

MagickRealType _CubeInfo::pruning_threshold

MagickRealType _CubeInfo::next_threshold

unsigned long _CubeInfo::nodes

unsigned long _CubeInfo::color_number

NodeInfo* _CubeInfo::next_node

Nodes* _CubeInfo::node_queue

long* _CubeInfo::cache

MagickPixelPacket _CubeInfo::error[ErrorQueueLength]

MagickRealType _CubeInfo::weights[ErrorQueueLength]

QuantizeInfo* _CubeInfo::quantize_info

long _CubeInfo::y

unsigned long _CubeInfo::depth

MagickOffsetType _CubeInfo::offset

MagickSizeType _CubeInfo::span

The documentation for this struct was generated from the following files:

- color.c
- quantize.c